New error after upgrading to version 0.98

Support questions about the Network Weather Map plugin

Moderators: Moderators, Developers

Post Reply
Author
Message
Rno
Cacti User
Posts: 350
Joined: Wed Dec 07, 2011 9:19 am

New error after upgrading to version 0.98

#1 Post by Rno » Wed Aug 10, 2016 9:56 am

Since I upgrade to the latest version i get some error like that:
RECOLTEV2.conf: NewColourFromPercent: Scale LINKS doesn't include a line for 18915472.908 while drawing item Boucle35 [WMWARN29]

I think it come on this Node:

NODE Boucle35
LABEL B35
INFOURL https://nedi.lausanne.ch/cacti/plugins/ ... 4803b2359b
OVERLIBGRAPH /cacti/graph_image.php?rra_id=0&graph_nolegend=true&graph_height=100&graph_width=300&local_graph_id=283
ICON 60 60 nink
TARGET /usr/share/cacti/rra/sre-b35-135_traffic_in_265.rrd
USESCALE LINKS in percent
USEICONSCALE LINKS in
POSITION 1070 450
MAXVALUE 40G


and the SCALE:
SCALE LINKS 0 1 255 240 245
SCALE LINKS 1 10 173 255 47
SCALE LINKS 10 25 0 240 0
SCALE LINKS 25 40 255 255 0
SCALE LINKS 40 55 255 127 80
SCALE LINKS 55 70 255 140 0
SCALE LINKS 70 85 128 0 128
SCALE LINKS 85 100 255 0 0


how can I solve the problem ?
CentOS
Production
Cacti 0.8.8h
Spine 0.8.8h
PIA 3.1
Aggregate 0.75
Monitor 1.3
Settings 0.71
Weathermap 0.98
Thold 0.5
rrdclean 0.41

Own plugin: LinkDiscovery 0.45, Map 0.37

Test
Cacti 1.2.6
Spine 1.2.6
thold 1.0.6
monitor 2.3.5
php 7.2.11
mariadb 5.5.56
Own plugin:
ExtendDB 1.1.2
LinkDiscovery 1.2.6
Map 1.2.6

Rno
Cacti User
Posts: 350
Joined: Wed Dec 07, 2011 9:19 am

Re: New error after upgrading to version 0.98

#2 Post by Rno » Wed Aug 10, 2016 10:44 am

It's looklike it's not taking the percentage of the link, but the value displayed is the real value, not a percentage of MAXVALUE
CentOS
Production
Cacti 0.8.8h
Spine 0.8.8h
PIA 3.1
Aggregate 0.75
Monitor 1.3
Settings 0.71
Weathermap 0.98
Thold 0.5
rrdclean 0.41

Own plugin: LinkDiscovery 0.45, Map 0.37

Test
Cacti 1.2.6
Spine 1.2.6
thold 1.0.6
monitor 2.3.5
php 7.2.11
mariadb 5.5.56
Own plugin:
ExtendDB 1.1.2
LinkDiscovery 1.2.6
Map 1.2.6

User avatar
Howie
Cacti Guru User
Posts: 5334
Joined: Thu Sep 16, 2004 5:53 am
Location: United Kingdom
Contact:

Re: New error after upgrading to version 0.98

#3 Post by Howie » Wed Aug 10, 2016 12:54 pm

First: What happens if you change MAXVALUE to 40000M?

Second: let map run with DEBUG logging turned on for one poller cycle. You will get LOADS of log information in cacti.log. If you search for your node name, you should find the values (on a line labelled ReadData) that weathermap fetched for that node, and also what it thinks the percentages are, a few lines below that.
Weathermap 0.98 is out! & QuickTree 1.0. Superlinks is over there now (and built-in to Cacti 1.x).
Some Other Cacti tweaks, including strip-graphs, icons and snmp/netflow stuff.
(Let me know if you have UK DevOps or Network Ops opportunities, too!)

Rno
Cacti User
Posts: 350
Joined: Wed Dec 07, 2011 9:19 am

Re: New error after upgrading to version 0.98

#4 Post by Rno » Thu Aug 11, 2016 1:33 am

So the icon change it's color regarding the percentage used, but still the error is present in the log, and setting MAXVALUE to 40000M dosen't change the problem.

Ok so here is the debug:

08/11/2016 08:26:22 AM - WEATHERMAP: Poller[0] DEBUG: [[email protected]:538] [Map 2] ast.conf: Trace: ProcessString(/cacti/graph_image.php?rra_id=0&graph_nolegend=true&graph_height=100&graph_width=300&local_graph_id=215, node:Boucle30)
08/11/2016 08:26:22 AM - WEATHERMAP: Poller[0] DEBUG: [[email protected]:538] [Map 2] ast.conf: Trace: ProcessString(Boucle30, node:Boucle30)
08/11/2016 08:26:22 AM - WEATHERMAP: Poller[0] DEBUG: [[email protected]:3322] [Map 2] ast.conf: Drawing NODE Boucle30
08/11/2016 08:26:22 AM - WEATHERMAP: Poller[0] DEBUG: [[email protected]:626] [Map 2] ast.conf: ProcessString: Found appropriate item: WeatherMapNode Boucle30
08/11/2016 08:26:22 AM - WEATHERMAP: Poller[0] DEBUG: [[email protected]:538] [Map 2] ast.conf: Trace: ProcessString({node:this:bandwidth_out:%.1k}, node:Boucle30)
08/11/2016 08:26:22 AM - WEATHERMAP: Poller[0] DEBUG: [[email protected]:626] [Map 2] ast.conf: ProcessString: Found appropriate item: WeatherMapNode Boucle30
08/11/2016 08:26:22 AM - WEATHERMAP: Poller[0] DEBUG: [[email protected]:538] [Map 2] ast.conf: Trace: ProcessString({node:this:bandwidth_in:%.1k}, node:Boucle30)
08/11/2016 08:26:22 AM - WEATHERMAP: Poller[0] WARNING: [Map 2] ast.conf: NewColourFromPercent: Scale LINKS doesn't include a line for 195477946.376 while drawing item Boucle30 [WMWARN29]
08/11/2016 08:26:22 AM - WEATHERMAP: Poller[0] DEBUG: [[email protected]:284] [Map 2] ast.conf: Artificial Icon type nink for Boucle30
08/11/2016 08:26:22 AM - WEATHERMAP: Poller[0] DEBUG: [[email protected]:249] [Map 2] ast.conf: Node->pre_render: Boucle30 Label Metrics are: 21 x 13 -> 25 x 17
08/11/2016 08:26:22 AM - WEATHERMAP: Poller[0] DEBUG: [[email protected]:538] [Map 2] ast.conf: Trace: ProcessString(B30, node:Boucle30)
08/11/2016 08:26:22 AM - WEATHERMAP: Poller[0] DEBUG: [[email protected]:1277] [Map 2] ast.conf: NCFPC Boucle30 LINKS 0.48869486594 '' 0_1 255 240 245
08/11/2016 08:26:22 AM - WEATHERMAP: Poller[0] DEBUG: [[email protected]:3262] [Map 2] ast.conf: Pre-rendering Boucle30 to get bounding boxes.
08/11/2016 08:26:21 AM - WEATHERMAP: Poller[0] DEBUG: [[email protected]:119] [Map 2] ast.conf: Adding note outscalecolor='#fff0f5' to Boucle30
08/11/2016 08:26:21 AM - WEATHERMAP: Poller[0] DEBUG: [[email protected]:119] [Map 2] ast.conf: Adding note inscalecolor='#fff0f5' to Boucle30
08/11/2016 08:26:21 AM - WEATHERMAP: Poller[0] DEBUG: [[email protected]:119] [Map 2] ast.conf: Adding note outscaletag='' to Boucle30
08/11/2016 08:26:21 AM - WEATHERMAP: Poller[0] DEBUG: [[email protected]:119] [Map 2] ast.conf: Adding note inscaletag='' to Boucle30
08/11/2016 08:26:21 AM - WEATHERMAP: Poller[0] DEBUG: [[email protected]:119] [Map 2] ast.conf: Adding note outscalekey='0_1' to Boucle30
08/11/2016 08:26:21 AM - WEATHERMAP: Poller[0] DEBUG: [[email protected]:119] [Map 2] ast.conf: Adding note inscalekey='0_1' to Boucle30
08/11/2016 08:26:21 AM - WEATHERMAP: Poller[0] DEBUG: [[email protected]:1277] [Map 2] ast.conf: NCFPC Boucle30 LINKS 0.181656690726 '' 0_1 255 240 245
08/11/2016 08:26:21 AM - WEATHERMAP: Poller[0] DEBUG: [[email protected]:1277] [Map 2] ast.conf: NCFPC Boucle30 LINKS 0.48869486594 '' 0_1 255 240 245
08/11/2016 08:26:21 AM - WEATHERMAP: Poller[0] DEBUG: [[email protected]:985] [Map 2] ast.conf: ReadData complete for NODE Boucle30: 195477946.376 72662676.2904
08/11/2016 08:26:21 AM - WEATHERMAP: Poller[0] DEBUG: [[email protected]:538] [Map 2] ast.conf: Trace: ProcessString(/usr/share/cacti/rra/sre-b30-130_traffic_in_197.rrd, node:Boucle30)
08/11/2016 08:26:21 AM - WEATHERMAP: Poller[0] DEBUG: [[email protected]:913] [Map 2] ast.conf: ReadData for NODE Boucle30:
08/11/2016 08:26:21 AM - WEATHERMAP: Poller[0] DEBUG: [[email protected]:538] [Map 2] ast.conf: Trace: ProcessString(/usr/share/cacti/rra/sre-b30-130_traffic_in_197.rrd, node:Boucle30)
08/11/2016 08:26:21 AM - WEATHERMAP: Poller[0] DEBUG: [[email protected]:2759] [Map 2] ast.conf: Setting bandwidth on NODE Boucle30 (40000M -> 40000000000 bps, 40000M -> 40000000000 bps, KILO = 1000)
08/11/2016 08:26:21 AM - WEATHERMAP: Poller[0] DEBUG: [[email protected]:2862] [Map 2] ast.conf: Saving Node: Boucle30
08/11/2016 08:26:21 AM - WEATHERMAP: Poller[0] DEBUG: [[email protected]:761] [Map 2] ast.conf: Initialising NODE Boucle30 from DEFAULT
08/11/2016 08:26:21 AM - WEATHERMAP: Poller[0] DEBUG: [[email protected]:737] [Map 2] ast.conf: Resetting Boucle30 with DEFAULT
CentOS
Production
Cacti 0.8.8h
Spine 0.8.8h
PIA 3.1
Aggregate 0.75
Monitor 1.3
Settings 0.71
Weathermap 0.98
Thold 0.5
rrdclean 0.41

Own plugin: LinkDiscovery 0.45, Map 0.37

Test
Cacti 1.2.6
Spine 1.2.6
thold 1.0.6
monitor 2.3.5
php 7.2.11
mariadb 5.5.56
Own plugin:
ExtendDB 1.1.2
LinkDiscovery 1.2.6
Map 1.2.6

User avatar
Howie
Cacti Guru User
Posts: 5334
Joined: Thu Sep 16, 2004 5:53 am
Location: United Kingdom
Contact:

Re: New error after upgrading to version 0.98

#5 Post by Howie » Thu Aug 11, 2016 2:56 am

Which version did you upgrade from? (where this was working)

I'm looking back through 0.97x versions and I can't find one with USESCALE for nodes, which is weird!
Weathermap 0.98 is out! & QuickTree 1.0. Superlinks is over there now (and built-in to Cacti 1.x).
Some Other Cacti tweaks, including strip-graphs, icons and snmp/netflow stuff.
(Let me know if you have UK DevOps or Network Ops opportunities, too!)

Rno
Cacti User
Posts: 350
Joined: Wed Dec 07, 2011 9:19 am

Re: New error after upgrading to version 0.98

#6 Post by Rno » Thu Aug 11, 2016 2:57 am

it was working on 0.97b
CentOS
Production
Cacti 0.8.8h
Spine 0.8.8h
PIA 3.1
Aggregate 0.75
Monitor 1.3
Settings 0.71
Weathermap 0.98
Thold 0.5
rrdclean 0.41

Own plugin: LinkDiscovery 0.45, Map 0.37

Test
Cacti 1.2.6
Spine 1.2.6
thold 1.0.6
monitor 2.3.5
php 7.2.11
mariadb 5.5.56
Own plugin:
ExtendDB 1.1.2
LinkDiscovery 1.2.6
Map 1.2.6

Rno
Cacti User
Posts: 350
Joined: Wed Dec 07, 2011 9:19 am

Re: New error after upgrading to version 0.98

#7 Post by Rno » Mon Aug 15, 2016 4:34 am

The problem is not coming on USESCALE, but on USEICONSCALE

I can say that because if I comment out USEICONESCALE I don't have the problem anymore.
CentOS
Production
Cacti 0.8.8h
Spine 0.8.8h
PIA 3.1
Aggregate 0.75
Monitor 1.3
Settings 0.71
Weathermap 0.98
Thold 0.5
rrdclean 0.41

Own plugin: LinkDiscovery 0.45, Map 0.37

Test
Cacti 1.2.6
Spine 1.2.6
thold 1.0.6
monitor 2.3.5
php 7.2.11
mariadb 5.5.56
Own plugin:
ExtendDB 1.1.2
LinkDiscovery 1.2.6
Map 1.2.6

User avatar
Howie
Cacti Guru User
Posts: 5334
Joined: Thu Sep 16, 2004 5:53 am
Location: United Kingdom
Contact:

Re: New error after upgrading to version 0.98

#8 Post by Howie » Mon Aug 15, 2016 10:46 am

with icon of nink, you shouldn't need USEICONSCALE anyway...
Weathermap 0.98 is out! & QuickTree 1.0. Superlinks is over there now (and built-in to Cacti 1.x).
Some Other Cacti tweaks, including strip-graphs, icons and snmp/netflow stuff.
(Let me know if you have UK DevOps or Network Ops opportunities, too!)

Rno
Cacti User
Posts: 350
Joined: Wed Dec 07, 2011 9:19 am

Re: New error after upgrading to version 0.98

#9 Post by Rno » Tue Aug 16, 2016 6:29 am

ok thanks, was not that clear on the doc, and since it didn't give any error on 0.97, I didn't knew it.
CentOS
Production
Cacti 0.8.8h
Spine 0.8.8h
PIA 3.1
Aggregate 0.75
Monitor 1.3
Settings 0.71
Weathermap 0.98
Thold 0.5
rrdclean 0.41

Own plugin: LinkDiscovery 0.45, Map 0.37

Test
Cacti 1.2.6
Spine 1.2.6
thold 1.0.6
monitor 2.3.5
php 7.2.11
mariadb 5.5.56
Own plugin:
ExtendDB 1.1.2
LinkDiscovery 1.2.6
Map 1.2.6

User avatar
Howie
Cacti Guru User
Posts: 5334
Joined: Thu Sep 16, 2004 5:53 am
Location: United Kingdom
Contact:

Re: New error after upgrading to version 0.98

#10 Post by Howie » Wed Aug 31, 2016 3:57 pm

No error - it's not bad syntax. It just doesn't do anything :-) It is intended for colouring image-file icons.
Weathermap 0.98 is out! & QuickTree 1.0. Superlinks is over there now (and built-in to Cacti 1.x).
Some Other Cacti tweaks, including strip-graphs, icons and snmp/netflow stuff.
(Let me know if you have UK DevOps or Network Ops opportunities, too!)

Post Reply